Skip to main content
POST
/
v1
/
config-objects
/
{configObjectId}
/
plugins
Attach config object to plugin
curl --request POST \
  --url https://api.openworklabs.com/v1/config-objects/{configObjectId}/plugins \
  --header 'Content-Type: application/json' \
  --data '
{
  "pluginId": "<string>"
}
'
import requests

url = "https://api.openworklabs.com/v1/config-objects/{configObjectId}/plugins"

payload = { "pluginId": "<string>" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({pluginId: '<string>'})
};

fetch('https://api.openworklabs.com/v1/config-objects/{configObjectId}/plugins', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "ok": true,
  "item": {
    "id": "<string>",
    "pluginId": "<string>",
    "configObjectId": "<string>",
    "connectorMappingId": "<string>",
    "createdByOrgMembershipId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "removedAt": "2023-11-07T05:31:56Z",
    "configObject": {
      "id": "<string>",
      "organizationId": "<string>",
      "title": "<string>",
      "description": "<string>",
      "searchText": "<string>",
      "currentFileName": "<string>",
      "currentFileExtension": "<string>",
      "currentRelativePath": "<string>",
      "createdByOrgMembershipId": "<string>",
      "connectorInstanceId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "latestVersion": {
        "id": "<string>",
        "configObjectId": "<string>",
        "schemaVersion": "<string>",
        "normalizedPayloadJson": {},
        "rawSourceText": "<string>",
        "createdByOrgMembershipId": "<string>",
        "connectorSyncEventId": "<string>",
        "sourceRevisionRef": "<string>",
        "isDeletedVersion": true,
        "createdAt": "2023-11-07T05:31:56Z"
      }
    }
  }
}
{
  "error": "<string>",
  "details": [
    {
      "message": "<string>",
      "path": [
        "<string>"
      ]
    }
  ]
}
{
  "error": "<string>"
}
{
  "error": "<string>",
  "message": "<string>"
}
{
  "error": "<string>",
  "message": "<string>"
}

Path Parameters

configObjectId
string<typeid>
required

Den TypeID with 'cob_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^cob_.*

Body

application/json
pluginId
string<typeid>
required

Den TypeID with 'plg_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^plg_.*
membershipSource
enum<string>
Available options:
manual,
connector,
api,
system

Response

Plugin membership created successfully.

ok
boolean
required
item
object
required